### Method

# Soup Message get_metrics

#### Declaration [src]

    SoupMessageMetrics*
    soup_message_get_metrics (
      SoupMessage* msg
    )

#### Description [src]

Get the `SoupMessageMetrics` of `msg`.

If the flag `SOUP_MESSAGE_COLLECT_METRICS` is not enabled for `msg` this will return `NULL`.

#### Return value

Type: `SoupMessageMetrics`

A `SoupMessageMetrics`.

The data is owned by the instance.
The return value can be `NULL`.